Bug 838582 - [Agent RPM] Agent cannot connect to server for no procedure to configure it
[Agent RPM] Agent cannot connect to server for no procedure to configure it
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Documentation (Show other bugs)
4.4
Unspecified Unspecified
high Severity medium (vote)
: ---
: JON 3.1.0
Assigned To: Deon Ballard
Mike Foley
:
Depends On: 834695
Blocks: 707235 837381
  Show dependency treegraph
 
Reported: 2012-07-09 10:21 EDT by Charles Crouch
Modified: 2015-02-01 18:28 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 834695
Environment:
Last Closed: 2013-02-28 19:31:54 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Charles Crouch 2012-07-09 10:21:06 EDT
+++ This bug was initially created as a clone of Bug #834695 +++

Description of problem:
the rpm installed agent uses "service jon-agent start" command to startup. but there is no procedure to configure the agent, it cannot connect to the server.

Version-Release number of selected component (if applicable): 3.1.0-el6

How reproducible: 100%


Steps to Reproduce:
1. freshly install the agent through rpm installation
2. start the agent by "service jon-agent start" command
3. wait, and look at the server side.
  
Actual results:
no procedure to configure the agent to connect to a specific server, the agent cannot connect to the server.

Expected results:
A prompt should be shown to configure the agent for the first time running.
After configuring the server's ip address and other parameters, the agent should be able to connect to the server.

Additional info:

--- Additional comment from mfoley@redhat.com on 2012-06-25 11:41:25 EDT ---

discussed with stefan_n and zjin.  this is a solid BZ.  the mechanism for the agent to connect with the appropriate JON server is config file updates.  the question is how to do this through the RPM process.

possibilities:
1) documentation?
2) manual config file updates after the RPM install?

assigning to stefan.  this will require conversations with crouch, asantos, and loleary to define requirements here ... and determine what approach is best or acceptable for customers.

--- Additional comment from snegrea@redhat.com on 2012-06-26 15:13:27 EDT ---

The agent can be configured post RPM installation with the help of the configuration file ({agent-folder}/conf/agent-configuration.xml). There are several settings that can be updated to point to the correct server and port.

The process would be:
1) Install RPM
2) Update the configuration file
3) Restart the agent service


However, this might not desirable for cases where users try to provision multiple machines with automated installation scripts. Will need to further identify user needs and usage patterns to derive requirements and a solution.

--- Additional comment from mfoley@redhat.com on 2012-07-02 11:08:49 EDT ---

documentation.

and the jon agent rpm demo by alexksandar bridges the gap on this.



bz triage by asantos, mfoley, zjin, armine, loleary, viet.

--- Additional comment from mfoley@redhat.com on 2012-07-02 11:12:46 EDT ---

service rhqagent config ..... <<<<---this is a development activity that could be added ... stefan ... could you add this?  


bz triage by loleary, asantos, armine, zjin, foley, viet

--- Additional comment from snegrea@redhat.com on 2012-07-03 18:12:22 EDT ---

There are two ways to improve the user experience with regards to agent configuration:

1) Update the documentation to clarify all the possible ways available to configure the agent (config files, environment variables, service options)

2) Add an option to the service script to allow the user to configure the agent. To get the typical interactive prompt for the rhq-agent the user would use the command "service jon-agent config" which in turn would call "rhq-agent.sh --setup --nostart"

--- Additional comment from snegrea@redhat.com on 2012-07-06 11:30:30 EDT ---

Suggestion 2 cannot be implemented without changes to the agent and the wrapper script. So this suggestion would require changes to JON and a full build of JON in brew. I recommend adding this functionality as part of JON 3.1.1. 

Suggestion 1 should be sufficient because it is related to functionality delivered with the regular agent today. Suggestion 2 is just an improvement over the functionality currently delivered with regular agent installations.
Comment 2 Deon Ballard 2013-02-28 19:31:54 EST
Mass closure.

Note You need to log in before you can comment on or make changes to this bug.